Skip to main content
POST
/
api
/
pricing
/
batches
/
{key}
/
add-records-by-brand
Add Records By Brand
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/batches/{key}/add-records-by-brand \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_keys": [
    "<string>"
  ],
  "price_types": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Resolve "all latest active prices for these brands" into a republish batch. Pulls across all products of the brand.

brand_keys
string[]
required
Minimum array length: 1
price_types
string[] | null

Response

Successful Response